Bug 842498 - ISC-DHCP server with LDAP configuration does not respect FailOver options
ISC-DHCP server with LDAP configuration does not respect FailOver options
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
17
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 23:36 EDT by William Brown
Modified: 2013-05-10 03:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-10 03:19:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to allow FailOverPeer's to be configured with LDAP backend. (41.35 KB, patch)
2012-07-23 23:36 EDT, William Brown
no flags Details | Diff
Patch without the ldif formatted schema changes. (13.20 KB, patch)
2012-07-24 08:24 EDT, William Brown
no flags Details | Diff

  None (edit)
Description William Brown 2012-07-23 23:36:25 EDT
Created attachment 599901 [details]
Patch to allow FailOverPeer's to be configured with LDAP backend.

Description of problem:
ISC-DHCP server with an LDAP backend does not properly utilise the dhcpFailOverPeer object to generate it's configuration. Additionally, there was no way to specifiy a relationship between a dhcpPool and a dhcpFailOverPeer configuration. The attached patch corrects the issue, and allows dhcpFailOverPeer options to be read and generated. 

The attached patch adds a dhcpFailOverPeer parser, modifies the dhcpPool parser to accept dhcpFailOverDN options, and modifies the LDAP schema to all a dhcpFailOverDN object to exist in a dhcpPool. Note that this dhcpFailOverDN is *NOT* followed by the configuration tool like the dhcpFailOverPeerDN options - This is merely a reference so that the pool can generate the correct peer name. Finally, I have also added a copy of the ldap schema in ldif format for 389ds and OpenLDAP to utilise.
Comment 1 Jiri Popelka 2012-07-24 07:20:29 EDT
Thank you William.

I'm however not sure I want to maintain such a big patch.
As with bug #838400, please send it upstream and let me know what's the assigned ID.
Comment 2 William Brown 2012-07-24 08:06:43 EDT
The majority of this patch is the LDAP ldif formatted schema, not code changes which makes it appear larger than it really is. I can split this patch into 3 patches for each of the modified files if you would prefer.
Comment 3 Jiri Popelka 2012-07-24 08:11:48 EDT
All in one patch is better.
Comment 4 William Brown 2012-07-24 08:23:49 EDT
I have had a quick rethink and have decided that I will submit the change to ldif formatted schema at a later time. Does this patch seem more acceptable with that in mind?
Comment 5 William Brown 2012-07-24 08:24:46 EDT
Created attachment 600007 [details]
Patch without the ldif formatted schema changes.
Comment 6 William Brown 2012-07-24 22:32:08 EDT
[ISC-Bugs #30402]

Note You need to log in before you can comment on or make changes to this bug.